LASTLOG(8)

NAME
lastlog - berichtet die letzte Anmeldung für alle oder einen bestimmten Benutzer

ÜBERSICHT

lastlog [Optionen]

BESCHREIBUNG

lastlog formatiert und gibt den Inhalt der Datei mit den letzten Anmeldungen, /var/log/lastlog, aus. Der Anmeldename, der Port und der Zeitpunkt der letzten Anmeldung werden angezeigt. Standardmäßig (keine Optionen) werden die Lastlog-Einträge in der Reihenfolge, wie sie sich in /etc/passwd befinden, ausgegeben.

OPTIONEN

Die Optionen, die vom Befehl lastlog unterstützt werden, sind:

-b, --before TAGE
    gibt nur Lastlog-Einträge aus, die älter als TAGE sind

-C, --clear
    Clear lastlog record of a user. This option can be used only together with -u (--user)).

-h, --help
    zeigt die Hilfe an und beendet das Programm

-R, --root CHROOT_VERZ
    führt die Veränderungen in dem Verzeichnis CHROOT_VERZ durch und verwendet die Konfigurationsdateien aus dem Verzeichnis CHROOT_VERZ

-S, --set
    Set lastlog record of a user to the current time. This option can be used only together with -u (--user)).

-t, --time TAGE
    gibt nur Lastlog-Einträge aus, die neuer als TAGE sind

-u, --user LOGIN|MENGE
    gibt nur die Lastlog-Einträge für die angegebenen Benutzer aus

    Die Bestimmung der Benutzer erfolgt durch ihren Anmeldenamen, ihrer zahlenmäßigen Benutzer-ID oder einer MENGE von Benutzern. Diese MENGE kann mit Minimum- und Maximumwerten (UID_MIN-UID_MAX), nur mit einem Maximumwert (UID_MIN-UID_MAX) oder nur einem Minimumwert (UID_MIN-) bestimmt werden.

Wenn sich ein Benutzer noch nie angemeldet hat, wird die Meldung ** Never logged in** anstatt von Port und Zeit angezeigt.

Es werden nur Einträge für auf dem System vorhandene Benutzer angezeigt, selbst wenn Einträge über gelöschte Benutzer noch vorhanden sind.

ANMERKUNGEN

Bei der Datei lastlog handelt es sich um eine Datenbank, die Informationen zur letzten Anmeldung der Benutzer enthält. Sie sollten sie nicht austauschen. Es handelt sich um eine Sparse-Datei, so dass die tatsächliche Größe auf dem Speichermedium gewöhnlich viel kleiner ist als von »ls -l« angezeigt wird (was eine sehr große Datei anzeigen kann, wenn sich Benutzer mit einer großen UID in passwd befinden). Die wirkliche Dateigröße lässt sich mit »ls -s« anzeigen.

KONFIGURATION

Die folgenden Konfigurationsvariablen in /etc/login.defs beeinflussen das Verhalten dieses Werkzeugs:

LASTLOG_UID_MAX (number)
    Highest user ID number for which the lastlog entries should be updated. As higher user IDs are usually tracked by remote user identity and authentication services there is no need to create a huge sparse lastlog file for them.

    No LASTLOG_UID_MAX option present in the configuration means that there is no user ID limit for writing lastlog entries.

DATEIEN

/var/log/lastlog
    Datenbank mit Zeiten der letzten Anmeldung der Benutzer

WARNUNGEN

Große Lücken in den UID-Zahlen haben zur Folge, dass das Lastlog-Programm längere Zeit ohne Bildschirmausgabe läuft. Wenn sich z.B. in der Datenbank von Lastlog kein Eintrag für Benutzer mit der UID zwischen 170 und 800 befindet, wird es scheinen, als ob lastlog stehen geblieben ist, während es die Einträge mit der UID 171 bis 799 verarbeitet.